Bug 443188

Summary: resume fails due to KVM instances
Product: [Fedora] Fedora Reporter: Bill Nottingham <notting>
Component: kvmAssignee: Glauber Costa <gcosta>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 9CC: berrange, clalance, djuran, gcosta, kernel-maint, markmc, quintela, rvokal, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-06-10 11:25:11 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235705    

Description Bill Nottingham 2008-04-19 00:15:46 EDT
Description of problem:

Resume fails sporadically on my Thinkpad T60 - it hangs at
a VT with a blinking cursor.

This started a build or two before 2.6.25-final.

Version-Release number of selected component (if applicable):

2.6.25-1.fc9.x86_64
Comment 1 Bill Nottingham 2008-04-21 15:45:48 EDT
I've been playing some more.

I can actually reproduce this on kernels at least as old as 0.204 - haven't
tried earlier.

It seems related to KVM - it happens when suspending with a KVM instance active.
Moving to target.
Comment 2 Bill Nottingham 2008-04-21 15:55:21 EDT
May be related:

Disabling non-boot CPUs ...
CPU0 attaching NULL sched-domain.
CPU1 attaching NULL sched-domain.
kvm: disabling virtualization on CPU1
------------[ cut here ]------------
WARNING: at arch/x86/kernel/smp_64.c:424 smp_call_function_single+0x3d/0x73()
(Not tainted)
Modules linked in: tun ipt_MASQUERADE iptable_nat nf_nat bridge bnep rfcomm
l2cap bluetooth fuse sunrpc nf_conntrack_netbios_ns nf_conntrack_ipv4 xt_state
nf_conntrack ipt_REJECT iptable_filter ip_tables xt_tcpudp ip6t_REJECT
ip6table_filter ip6_tables x_tables cpufreq_ondemand acpi_cpufreq freq_table
dm_mirror dm_multipath dm_mod ipv6 uinput kvm_intel kvm snd_hda_intel
snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq sr_mod cdrom snd_seq_device
snd_pcm_oss pata_acpi arc4 ecb crypto_blkcipher i915 snd_mixer_oss snd_pcm
snd_timer snd_page_alloc snd_hwdep iwl3945 ata_piix drm i2c_algo_bit
thinkpad_acpi nsc_ircc irda snd soundcore mac80211 cfg80211 i2c_i801 battery bay
ac ata_generic button iTCO_wdt i2c_core sg e1000e crc_ccitt video output
iTCO_vendor_support hwmon ahci libata sd_mod scsi_mod ext3 jbd mbcache uhci_hcd
ohci_hcd ehci_hcd [last unloaded: microcode]
Pid: 3049, comm: kstopmachine Not tainted 2.6.25-0.228.rc9.fc9.x86_64 #1

Call Trace:
 [<ffffffff81032d25>] warn_on_slowpath+0x60/0x91
 [<ffffffff81028bb4>] ? push_rt_task+0x1f6/0x209
 [<ffffffff81019bf6>] smp_call_function_single+0x3d/0x73
 [<ffffffff883443e4>] :kvm_intel:vmx_vcpu_decache+0x2b/0x39
 [<ffffffff8832a831>] :kvm:decache_vcpus_on_cpu+0x5c/0xae
 [<ffffffff8832686d>] :kvm:hardware_disable+0x26/0x2f
 [<ffffffff883268b1>] :kvm:kvm_cpu_hotplug+0x3b/0x91
 [<ffffffff812920bf>] notifier_call_chain+0x33/0x5b
 [<ffffffff8104994c>] raw_notifier_call_chain+0xf/0x11
 [<ffffffff81052416>] take_cpu_down+0x1b/0x2d
 [<ffffffff81064534>] do_stop+0x186/0x1a2
 [<ffffffff810643ae>] ? do_stop+0x0/0x1a2
 [<ffffffff810643ae>] ? do_stop+0x0/0x1a2
 [<ffffffff81045f63>] kthread+0x49/0x76
 [<ffffffff8100cce8>] child_rip+0xa/0x12
 [<ffffffff81045f1a>] ? kthread+0x0/0x76
 [<ffffffff8100ccde>] ? child_rip+0x0/0x12

---[ end trace 4e3c62e740b967c7 ]---
Broke affinity for irq 9
Broke affinity for irq 12
Broke affinity for irq 2299
CPU 1 is now offline
SMP alternatives: switching to UP code
CPU0 attaching sched-domain:
 domain 0: span 00000000,00000001
  groups: 00000000,00000001
CPU1 is down
Extended CMOS year: 2000
Comment 3 Chuck Ebbert 2008-04-21 16:21:03 EDT
That warning was reported on linux-kernel:
http://lkml.org/lkml/2008/4/7/130
Comment 4 Bug Zapper 2008-05-14 05:41:57 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Mark McLoughlin 2008-11-11 12:26:32 EST
Re-assigning kvm.ko bugs to the kvm package for easier tracking
Comment 6 Bug Zapper 2009-06-09 20:16:28 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bill Nottingham 2009-06-10 11:25:11 EDT
We have resumage now, afaik.